layui.use(['form', 'layer'], function () {
    var form = layui.form
    layer = parent.layer === undefined ? layui.layer : top.layer,
        $ = layui.jquery;

    form.on("submit(save)", function (data) {
        //弹出loading
        const index = top.layer.msg('数据提交中，请稍候', {icon: 16, time: false, shade: 0.8});
        //实际使用时的提交信息
        $.ajax( {
            url : "/upms/sysrole/save",
            type : "POST",
            dataType:"json",
            contentType:'application/json;charset=UTF-8',
            data:JSON.stringify({roleName:$("#roleName").val(),
                parentId:$("#parentId").val(),
                roleType: $("#roleType").val(),
                roleLevel: $("#roleLevel").val(),
                roleDesc: $("#roleDesc").val(),
                isSys: $("#isSys").val(),
                enabled: $("#enabled").val(),
                sort: $("#sort").val(),
                status: $("#status").val(),
                remark: $("#remark").val(),
            }),
            success : function(res) {
                console.log(res);
                layer.close(index);
                layer.msg(res.msg);
                layer.closeAll("iframe");
                //刷新父页面
                parent.location.reload();
            },
            error:function(e){
                layer.close(index);
                layer.msg("信息提交异常！");
                layer.closeAll("iframe");
                //刷新父页面
                parent.location.reload();
            }
        })
        return false;
    })
})